<jhi-title
    [title]="'pcidssApp.selfAssessment.home.title'"></jhi-title>
<div class="d-flex review">
    <div class="col-2 no-padding">
        <div class="side-nav">
            <div class="nav-list">
                <div>
                    <p class="active"><span>Review SAQ</span></p>
                </div>
            </div>
        </div>
    </div>
    <div class="col-10 no-padding">
        <div class="m-4">
            <span><b>List of Self-Assessment Questionnaire to review</b></span>
            <div class=" card mt-4 show-in-des">
                <table class="table m-0">
                    <thead>
                    <tr class="border-0">
                        <th class="label-head">Tenant Id</th>
                        <th class="label-head">Assessment Completion Date</th>
                        <th class="label-head">Assessment Correction Date</th>
                        <th class="label-head">Status</th>
                        <th class="action-btn">Action</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr *ngIf="reviewDetails" class="border-0">
                        <td class="text-center"><span>{{reviewDetails.qsaId?.tenantId}}</span></td>
                        <td class="text-center">{{reviewDetails.notificationDate}}</td>
                        <td class="text-center">{{reviewDetails.correctionDate}}</td>
                        <td class="text-center">{{reviewDetails.status === STATUS.NEW ? 'New'
                            : (reviewDetails.status === STATUS.PENDING ? 'Pending'
                            :(reviewDetails.status === STATUS.RESPONSE_REQUIRED ? 'Response Pending'
                            :(reviewDetails.status === STATUS.REVIEW_REQUIRED ? 'Review Required' : 'Sent to AOC')))}}</td>
                        <td class="text-center d-flex"
                            [ngSwitch]="reviewDetails.status">
                            <jhi-button *ngSwitchCase=STATUS.NEW (click)="goToReviewView()" review>Review</jhi-button>
                            <jhi-button *ngSwitchCase=STATUS.PENDING resume (click)="resumeReview()">Resume</jhi-button>
                            <jhi-button *ngSwitchCase=STATUS.RESPONSE_REQUIRED pending (click)="goToReviewView()">Pending</jhi-button>
                            <jhi-button *ngSwitchCase=STATUS.REVIEW_REQUIRED review (click)="goToReviewView()">Review All</jhi-button>
                            <jhi-button *ngSwitchCase=STATUS.REVIEW_REQUIRED review-fixed (click)="goToFixedView()">Review Fixed</jhi-button>
                            <jhi-button *ngSwitchCase=STATUS.SENT_TO_AOC (click)="onDone()" done>Done</jhi-button>
                        </td>
                    </tr>
                    </tbody>
                </table>
            </div>
            <div class="mt-4 show-in-mob">
                <div class="shadow-view">
                    <div class="d-flex mb-2 modal-open">
                        <div class="col-5"><span><b>Tenant Id</b></span>
                        </div><span class="pull-right pl-3">:</span>
                        <div class="col-7 text-center"><span>{{reviewDetails?.qsaId.tenantId}}</span></div>
                    </div>
                    <div class="d-flex mb-2">
                        <div class="col-5"><span><b>Assessment Completion Date</b></span>
                        </div><span class="pull-right pl-3">:</span>
                        <div class="col-7 text-center"><span>{{reviewDetails?.notificationDate}}</span></div>
                    </div>
                    <div class="d-flex mb-2">
                        <div class="col-5"><span><b>Assessment Correction Date</b></span>
                        </div><span class="pull-right pl-3">:</span>
                        <div class="col-7 text-center">{{reviewDetails?.correctionDate}}</div>
                    </div>
                    <div class="d-flex mb-2">
                        <div class="col-5"><span><b>Status</b></span>
                        </div><span class="pull-right pl-3">:</span>
                        <div class="col-7 text-center">{{reviewDetails?.status === STATUS.NEW ? 'New'
                            : (reviewDetails?.status === STATUS.PENDING ? 'Pending'
                            :(reviewDetails?.status === STATUS.RESPONSE_REQUIRED ? 'Response Pending'
                            :(reviewDetails?.status === STATUS.REVIEW_REQUIRED ? 'Review Required' : 'Sent to AOC')))}}</div>
                    </div>
                    <div class="d-flex mb-2">
                        <div class="col-5"><span><b>Action</b></span>
                        </div><span class="pull-right pl-3">:</span>
                        <div class="col-7 text-center d-table" [ngSwitch]="reviewDetails?.status">
                            <jhi-button *ngSwitchCase=STATUS.NEW (click)="goToReviewView()" review>Review</jhi-button>
                            <jhi-button *ngSwitchCase=STATUS.PENDING resume (click)="resumeReview()">Resume</jhi-button>
                            <jhi-button *ngSwitchCase=STATUS.RESPONSE_REQUIRED pending (click)="goToReviewView()">Pending</jhi-button>
                            <jhi-button *ngSwitchCase=STATUS.REVIEW_REQUIRED review (click)="goToReviewView()">Review All</jhi-button>
                            <jhi-button *ngSwitchCase=STATUS.REVIEW_REQUIRED review-fixed (click)="goToFixedView()">Review Fixed</jhi-button>
                            <jhi-button *ngSwitchCase=STATUS.SENT_TO_AOC (click)="onDone()" done>Done</jhi-button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
